<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_shibboleth', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_shibboleth
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_shib_auth_method'] = 'نام روش تأیید اعتبار';
$string['auth_shib_auth_method_description'] = 'نامی برای روش تأیید اعتبار Shibboleth که برای کاربران شما آشناست ارائه می دهد. این می تواند نام فدراسیون Shibboleth شما باشد، برای مثال <tt>SWITCHaai Login</tt> یا <tt>InCommon Login</tt> یا موارد مشابه.';
$string['auth_shibbolethdescription'] = 'با استفاده از این روش، کاربران با استفاده از <a href="http://shibboleth.internet2.edu/">Shibboleth</a> ایجاد و تأیید اعتبار می شوند. <br />قسمت <a href="../auth/shibboleth/README.txt">README</a> را مطالعه کنید تا با نحوه تنظیم Totara با Shibboleth آشنا شوید';
$string['auth_shibboleth_errormsg'] = 'لطفاً سازمانی که عضو آن هستید را انتخاب کنید!';
$string['auth_shibboleth_login'] = 'ورود shibboleth';
$string['auth_shibboleth_login_long'] = 'ورود به Totara از طریق Shibboleth';
$string['auth_shibboleth_manual_login'] = 'ورود دستی';
$string['auth_shibboleth_select_member'] = 'من عضو ...';
$string['auth_shibboleth_select_organization'] = 'برای تأیید اعتبار از طریق Shibboleth، لطفاً سازمان خود را از لیست کشویی انتخاب کنید:';
$string['auth_shib_changepasswordurl'] = 'URL تغییر رمز عبور';
$string['auth_shib_contact_administrator'] = 'زمانی که به سازمان های ارائه شده مربوط نیستید و نیاز به دسترسی به دوره ای در این سرور دارید، لطفاً با <a href="mailto:{$a}">سرپرست Totara</a> تماس بگیرید.';
$string['auth_shib_convert_data'] = 'API تغییر داده';
$string['auth_shib_convert_data_description'] = 'می توانید از این API برای تغییر بیشتر داده ارائه شده از طرف Shibboleth استفاده کنید. برای دستورالعمل های بیشتر، <a href="../auth/shibboleth/README.txt">README</a> را مطالعه کنید.';
$string['auth_shib_convert_data_warning'] = 'فایل موجود نیست یا از طریق پردازش سرور وب قابل خواندن نیست!';
$string['auth_shib_idp_list'] = 'ارائه دهندگان شناسه';
$string['auth_shib_idp_list_description'] = 'لیستی از شناسه های هویتی ارائه دهنده شناسه تهیه می کند تا به کاربر کمک کند از صفحه ورود به سیستم انتخاب کند.<br />در هر خط باید یک لیست که محتوای آن با کاما از هم جدا شده است برای شناسه هویت IdP (به قسمت فایل ابرداده های Shibboleth مراجعه کنید) و نام IdP وجود داشته باشد چون باید در لیست کشویی نشان داده شود.<br />به عنوان یک پارامتر سوم اختیاری می توانید مکان یک آغازگر جلسه Shibboleth را اضافه کنید تا زمانی که نصب Totara بخشی از یک تنظیم فدراسیون چندتایی است استفاده شود.';
$string['auth_shib_instructions'] = 'از <a href="{$a}">ورود به سیستم Shibboleth</a> برای دسترسی از طریق Shibboleth استفاده کنید، البته در صورتی که مؤسسه شما از آن پشتیبانی می کند.<br />در غیر اینصورت، از فرم ورود به سیستم عادی که در اینجا نشان داده شده استفاده کنید.';
$string['auth_shib_instructions_help'] = 'در اینجا باید دستورالعمل های سفارشی برای کاربران خود ارائه داده و Shibboleth را توضیح دهید.  در صفحه ورود به سیستم در بخش دستورالعمل ها نشان داده می شود. دستورالعمل ها باید شامل لینکی به "<b>{$a}</b>" شوند تا زمانی که کاربران می خواهند وارد سیستم شوند روی آن کلیک کنند.';
$string['auth_shib_integrated_wayf'] = 'سرویس Totara WAYF';
$string['auth_shib_integrated_wayf_description'] = 'اگر این قسمت را علامت بزنید، Totara از سرویس WAYF خود به جای سرویسی که برای Shibboleth پیکربندی شده استفاده می کند. Totara یک لیست کشویی در این صفحه ورود به سیستم جایگزین نشان می دهد که در آن کاربر باید ارائه دهنده شناسه خود را انتخاب کند.';
$string['auth_shib_logout_return_url'] = 'آدرس بازگشت جایگزین پس از خروج از سایت';
$string['auth_shib_logout_return_url_description'] = 'آدرسی که کاربران shibboleth پس از خروج از سایت باید به آنجا هدایت شوند را وارد کنید.<br />اگر خالی گذاشته شود، کاربران به محلی که مودل کاربران را هدایت می‌کند هدایت خواهند شد';
$string['auth_shib_logout_url'] = 'URL کنترل کننده خروج از ارائه دهنده سرویس Shibboleth';
$string['auth_shib_logout_url_description'] = 'این URL را برای کنترل کننده خروج از ارائه دهنده سرویس Shibboleth ارائه دهید. این معمولاً <tt>/Shibboleth.sso/Logout</tt> است';
$string['auth_shib_no_organizations_warning'] = 'اگر می خواهید از سرویس WAYF یکپارچه استفاده کنید، باید لیستی از شناسه های هویتی ارائه دهنده شناسه که با کاما از هم جدا شده اند، نام آنها و یک آغازگر جلسه اختیاری ارائه دهید.';
$string['auth_shib_only'] = 'تنها shibboleth';
$string['auth_shib_only_description'] = 'اگر تأیید اعتبار Shibboleth اجباری است این گزینه را علامت بزنید';
$string['auth_shib_username_description'] = 'نام متغیر محیط Shibboleth سرور وب که به عنوان نام کاربر Totara استفاده می شود';
$string['pluginname'] = 'Shibboleth';
$string['shib_invalid_account_error'] = 'به نظر می رسد با Shibboleth تأیید شده اید ولی Totara حساب معتبری برای نام کاربری شما ندارد. ممکن است حساب شما موجود نباشد یا به صورت تعلیقی در آمده باشد.';
$string['shib_no_attributes_error'] = 'به نظر می رسد با Shibboleth تأیید شده اید ولی Totara هیچ ویژگی کاربری دریافت نکرد. لطفاً بررسی کنید ارائه دهنده شناسه شما ویژگی های لازم ({$a}) را در اختیار ارائه دهنده سرویسی که Totara در آن اجرا می شود قرار دهد یا وب مستر را از این سرور مطلع کنید.';
$string['shib_not_all_attributes_error'] = 'Totara به ویژگی های Shibboleth خاصی نیاز دارد که در پرونده شما موجود نیست. این ویژگی ها عبارتند از: {$a}<br />لطفاً با وب مستر این سرور یا ارائه دهنده شناسه خود تماس بگیرید.';
$string['shib_not_set_up_error'] = 'به نظر می رسد تأیید اعتبار Shibboleth به طور صحیح تنظیم نشده است زیرا هیچ متغیر محیط Shibboleth برای این صفحه موجود نیست. لطفاً به <a href="README.txt">README</a> مراجعه کنید تا دستورالعمل های بیشتری درباره نحوه تنظیم تأیید اعتبار Shibboleth به دست آورید یا با وب مستر این نصب Totara تماس بگیرید.';
