<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'completion', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   completion
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['achievedgrade'] = 'رتبه به دست آمده';
$string['achievinggrade'] = 'به دست آوردن نمره';
$string['activities'] = 'فعالیت‌ها';
$string['activitiescompleted'] = 'تکمیل فعالیت‌ها';
$string['activitiescompleted_help'] = 'این ها فعالیت هایی هستند که یک یادگیرنده باید کامل کند تا معیار کامل شود. برای اینکه فعالیت ها در این لیست ظاهر شوند لازم است "تکمیل فعالیت" آن فعال شده باشند.';
$string['activitiescompletednote'] = 'توجه: تکمیل فعالیت باید برای یک فعالیت تنظیم شده باشد تا در لیست بالا ظاهر شود.';
$string['activityaggregation'] = 'این شرط نیازمند آن است که';
$string['activityaggregation_all'] = 'تمام فعالیت‌های انتخاب‌شده تکمیل شوند';
$string['activityaggregation_any'] = 'حداقل یکی از فعالیت‌های انتخاب‌شده تکمیل شود';
$string['activityaggregationmethod'] = 'روش تجمع';
$string['activityaggregationmethod_help'] = 'روش جمع کردن "همه" یعنی این معیار زمانی به عنوان کامل علامت گذاری می شود که یادگیرنده همه فعالیت های انتخابی را کامل کرده است. اگر روش جمع کردن بر روی "هر یک" تنظیم باشد تنها لازم است یادگیرنده یکی از فعالیت های انتخابی را برای کامل کردن دوره انجام دهد.';
$string['activitycompletion'] = 'تکمیل فعالیت';
$string['activityrpl'] = 'RPL فعالیت';
$string['afterspecifieddate'] = 'بعد از تاریخ تعیین شده';
$string['aggregateall'] = 'همه';
$string['aggregateany'] = 'هر یک';
$string['aggregationmethod'] = 'چگونگی جمع‌بندی و نتیجه‌گیری';
$string['aggregationmethod_help'] = 'روش جمع کردن "همه" یعنی دوره، زمانی به عنوان کامل علامت گذاری می شود که یادگیرنده همه معیارهای تنظیم شده در این صفحه را رعایت کرده باشد. اگر روش جمع کردن بر روی "هر یک" تنظیم باشد یادگیرنده باید تنها یکی از انواع معیار برای دوره را جهت کامل کردن دوره انجام دهد.';
$string['all'] = 'همه';
$string['any'] = 'هر کدام';
$string['approval'] = 'تایید';
$string['archivecheck'] = 'بایگانی {$a} ؟';
$string['archivecompletions'] = 'بایگانی تکمیل ها';
$string['archivecompletionscheck'] = 'مطمئن هستید می خواهید همه رکوردهای تکمیل مربوط به کاربرانی که این دوره را کامل کرده اند بایگانی کنید؟
    <br />
    اینکار رکورد محدوده شده بر مبنای تاریخ تکمیل ها را ذخیره کرده و سپس آنها را به طور کامل حذف می کند.';
$string['archivedcompletions'] = 'تکمیل های بایگانی شده برای دوره: {$a}';
$string['archiveusersaffected'] = '{$a} کاربر تحت تأثیر قرار می گیرند';
$string['archivingcompletions'] = 'بایگانی کردن تکمیل ها برای دوره {$a}';
$string['badautocompletion'] = 'وقتی تکمیل به صورت خودکار را انتخاب می‌کنید، باید حداقل یک شرط (در زیر) برای تکمیل فعالیت انتخاب کنید.';
$string['cannotarchivecompletions'] = 'مجوزی برای بایگانی کردن تکمیل های این دوره وجود ندارد';
$string['complete'] = 'کامل کردن';
$string['completed'] = 'تکمیل‌شده';
$string['completedunlocked'] = 'قفل گزینه‌های مربوط به تکمیل باز شد';
$string['completedunlockedtext'] = 'با دخیرهٔ تغییرات، وضعیت تکمیل تمام شاگردان پاک می‌شود. اگر نظرتان در مورد تغییر دادن این گزینه‌ها عوض شده است، فرم را ذخیره نکنید.';
$string['completedwarning'] = 'گزینه‌های مربوط به تکمیل قفل شده‌اند';
$string['completedwarningtext'] = 'در حال حاضر تعدادی از شاگردان ({$a} نفر) این فعالیت را به عنوان کامل علامت زده‌اند. تغییر گزینه‌های مربوط به تکمیل فعالیت منجر به پاک شدن علامت‌های آنها خواهد شد و ممکن است موجب سردرگمی آنها شود. به همین دلیل این گزینه‌ها قفل شده‌اند و نباید از حالت قفل شده خارج شوند، مگر اینکه واقعاً ضروری باشد.';
$string['completeviarpl'] = 'تکمیل از طریق rpl';
$string['completion'] = 'ردیابی تکمیل';
$string['completionactivitydefault'] = 'پیش‌فرض فعالیت استفاده شود';
$string['completion-alt-auto-enabled'] = 'این فعالیت در صورت برقرار بودن یک سری شرایط، به صورت خودکار توسط سیستم به عنوان تکمیل شده علامت خواهد خورد.';
$string['completion-alt-auto-fail'] = 'تکمیل شده است (بدون اکتساب نمرهٔ قبولی)';
$string['completion-alt-auto-n'] = 'تکمیل نشده است';
$string['completion-alt-auto-pass'] = 'تکمیل شده است (با اکتساب نمرهٔ قبولی)';
$string['completion-alt-auto-y'] = 'تکمیل شده است';
$string['completion-alt-manual-enabled'] = 'شاگردان خودشان می‌توانند به صورت دستی تکمیل فعالیت را مشخص کنند';
$string['completion-alt-manual-n'] = 'کامل نشده است؛ انتخاب کنید تا به عنوان کامل شده علامت بخورد';
$string['completion-alt-manual-y'] = 'کامل شده است؛ انتخاب کنید تا به عنوان کامل شده علامت بخورد';
$string['completion_automatic'] = 'هنگامی که شرایط برقرار بودند فعالیت به عنوان کامل شده نشان داده شود';
$string['completioncriteriachanged'] = 'تغییرات معیار تکمیل دوره ذخیره شده است. اگر هر کدام از شرکت کنندگان فعال از قبل با معیار تکمیل مطابقت داشته باشند سپس وضعیت آنها در زمان بندی کرون بعدی به روزرسانی خواهد شد';
$string['completiondefault'] = 'پیگیری تکمیل پیش‌فرض';
$string['completiondependencies'] = 'وابستگی های تکمیل';
$string['completiondependencies_help'] = 'اینها دوره هایی هستند که لازم است یادگیرنده قبل از اینکه این دوره بتواند به عنوان کامل شده علامت گذاری شود آن را تکمیل کند';
$string['completiondisabled'] = 'غیر فعال، در تنظیمات فعالیت‌ها نشان داده نمی‌شود';
$string['completionduration'] = 'ثبت‌نام';
$string['completionenabled'] = 'فعال، توسط تنظیمات فعالیت‌ها و تنظیمات مربوط به تکمیل درس کنترل می‌شود';
$string['completionexpected'] = 'تاریخ تکمیل مورد انتظار';
$string['completionexpectedfor'] = '{$a->instancename} باید تکمیل شده باشد';
$string['completionexpected_help'] = 'این گزینه تاریخی که برای کامل شدن این فعالیت انتظار می‌رود را مشخص می‌کند.';
$string['completion-fail'] = 'تکمیل‌شده (نمره قبولی به دست نیاورد)';
$string['completion_help'] = 'در صورتی که فعال باشد، تکمیل این فعالیت به صورت دستی یا خودکار و بر اساس شرایطی مشخص ردیابی می‌شود. در صورت تمایل می‌توان برای تکمیل یک فعالیت چندین شرط تعیین کرد. در این صورت، تنها در صورتی که تمام آن شرایط برقرار باشد فعالیت به عنوان کامل شده در نظر گرفته خواهد شد.

در صفحهٔ اصلی درس در کنار نام هر فعالیت یک مربع قرار دارد که تیک خوردن این مربع تکمیل قعالیت را نشان می‌دهد.';
$string['completionicons'] = 'مربع‌های تیک دار مربوط به تکمیل';
$string['completionicons_help'] = 'وجود یک علامت تیک در کنار نام هر فعالیت نشان می‌دهد که آن فعالیت کامل شده است.

اگر مربع کنار یک فعالیت به صورت نقطه‌چین تیک خورده است، می‌توانید زمانی که فکر می‌کنید آن فعالیت را کامل کرده‌اید بر روی آن مربع کلیک کنید تا به صورت کامل علامت بخورد. (اگر نظرتان عوض شد می‌توانید مجددا بر روی مربع کلیک کنید تا علامت تیک برداشته شود.) کلیک کردن بر روی این مربع‌ها اختیاری است و صرفاً راهی برای ردیابی میزان پیشروی شما در درس است.

اگر مربع کنار فعالیت کاملا خالی است، زمانی که فعالیت را بر اساس شرایط تعیین شده توسط استاد درس کامل کردید، این مربع به صورت خودکار تیک خواهد خورد.';
$string['completion_manual'] = 'شاگردان می‌توانند خودشان فعالیت را به عنوان کامل شده علامت بزنند';
$string['completionmenuitem'] = 'تکمیل';
$string['completion-n'] = 'تکمیل‌نشده';
$string['completion_none'] = 'تکمیل فعالیت نشان داده نشود';
$string['completionnotenabled'] = 'قابلیت تکمیل فعال نشده است';
$string['completionnotenabledforcourse'] = 'قابلیت تکمیل برای این درس فعال نشده است';
$string['completionnotenabledforsite'] = 'قابلیت تکمیل برای این سایت فعال نشده است';
$string['completionondate'] = 'تاریخ';
$string['completionondatevalue'] = 'کاربر باید ثبت‌نام باقی بماند تا';
$string['completion-pass'] = 'تکمیل‌شده (نمره قبولی گرفته است)';
$string['completionprogressonview'] = 'علامت گذاری به عنوان در جریان در اولین مشاهده';
$string['completionprogressonviewhelp'] = 'وضعیت تکمیل دوره را بر روی در جریان قرار دهید برای زمانی که یادگیرندگان دوره را اولین بار مشاهده می کنند (به جای زمانی که آنها اولین معیار را می بینند).';
$string['completionprogressonview_help'] = 'وضعیت تکمیل دوره را بر روی در جریان قرار دهید برای زمانی که یادگیرندگان دوره را اولین بار مشاهده می کنند (به جای زمانی که آنها اولین معیار را می بینند).';
$string['completionsettingslocked'] = 'تنظیمات تکمیل قفل است';
$string['completionsettingsunlocked'] = 'قفل تنظیمات تکمیل باز شد';
$string['completionstartonenrol'] = 'ردیابی تکمیل از ثبت نام شروع می شود';
$string['completionstartonenrolhelp'] = 'ردیابی پیشرفت یادگیرنده در تکمیل دوره را بعد از ثبت نام دوره شروع کنید';
$string['completionstartonenrol_help'] = 'ردیابی پیشرفت یادگیرنده در تکمیل دوره را بعد از ثبت نام دوره شروع کنید';
$string['completion-title-manual-n'] = 'علامت زدن به عنوان کامل شده';
$string['completion-title-manual-y'] = 'علامت زدن به عنوان کامل نشده';
$string['completionusegrade'] = 'نیاز به نمره';
$string['completionusegrade_desc'] = 'برای اینکه این فعالیت به صورت کامل شده در نظر گرفته شود، شاگردان باید نمرهٔ این فعالیت را دریافت کنند.';
$string['completionusegrade_help'] = 'در صورت انتخاب، دریافت کردن نمره در این فعالیت به معنی کامل کردن این فعالیت خواهد بود. اگر یک نمرهٔ قبولی برای این فعالیت تعیین شده باشد، آیکن‌های مربوط به قبولی یا ردی نیز برای این فعالیت نمایش داده می‌شود.';
$string['completionview'] = 'ملزم به مشاهده';
$string['completionview_desc'] = 'شاگردان برای تکمیل این فعالیت باید حتماً آن را مشاهده کنند';
$string['completionview_help'] = 'اگر این فعالیت در ترکیب با سایر معیارها \'نیاز به گذراندن\' دارد، یادگیرنده تنها در صورتی به عنوان کامل کننده علامت گذاری می شود که فعالیت را در زمانی بگذراند که همه معیارها از قبل کامل شده اند.

برای مثال، فعالیتی را در نظر بگیرید که \'نیاز به گذراندن\' و \'نیاز به رتبه\' در آن فعال باشد. اگر کاربر ابتدا فعالیت را گذرانده باشد سپس توسط سرپرست رتبه ای به او اعطا شده باشد، لازم است کاربر دوباره فعالیت را بگذراند (بعد از اینکه رتبه دریافت شد) تا تکمیل فعالیت انجام شود.

به همین دلیل، توصیه می شود \'نیاز به گذراندن\' در ترکیب با معیار دیگر استفاده نشود مگر اینکه این حالت خاص مورد نیاز باشد. در بیشتر موارد، معیار دیگر باید کافی باشد. مثلاً کاربر نمی تواند بدون گذراندن فعالیت، رتبه ای دریافت کند برای همین \'نیاز به گذراندن\' یک مورد ضروری است.';
$string['completion-y'] = 'تکمیل‌شده';
$string['configcompletiondefault'] = 'تنظیم پیش‌فرضِ «پیگیری تکمیل» هنگامی که فعالیت‌های جدید ساخته می‌شوند.';
$string['configenablecompletion'] = 'در صورتی که فعال باشد، امکان فعال کردن و استفاده از قابلیت پیگیری تکمیل (میزان پیشروی) در سطح درس را خواهید داشت.';
$string['configenablecourserpl'] = 'زمانی که فعال باشد، با تخصیص رکوردی از یادگیری قبلی به کاربر می توان دوره را به عنوان کامل علامت گذاری کرد.';
$string['configenablemodulerpl'] = 'زمانی که برای مدولی فعال باشد، با تخصیص رکوردی از یادگیری قبلی به کاربر، هر معیار تکمیل دوره برای این نوع مدول را می توان به عنوان کامل علامت گذاری کرد.';
$string['confirmselfcompletion'] = 'تکمیل خود را تایید می‌کنم';
$string['courseaggregation'] = 'این شرط نیازمند آن است که';
$string['courseaggregation_all'] = 'تمام درس‌های انتخاب‌شده کامل شده باشند';
$string['courseaggregation_any'] = 'هر کدام از درس‌های انتخاب‌شده کامل شده باشد';
$string['courseaggregationmethod'] = 'روش تجمع';
$string['courseaggregationmethod_help'] = 'روش جمع کردن "همه" یعنی معیار، زمانی به عنوان کامل علامت گذاری می شود که یادگیرنده همه دوره های انتخاب شده را کامل کرده است. اگر روش جمع کردن بر روی "هر یک" تنظیم باشد یادگیرنده باید تنها یکی از دوره های انتخاب شده را جهت کامل کردن دوره انجام دهد.';
$string['coursealreadycompleted'] = 'شما قبلا این درس را کامل کرده‌اید';
$string['coursecomplete'] = 'تکمیل درس';
$string['coursecompleted'] = 'درس تکمیل شد';
$string['coursecompletion'] = 'تکمیل درس';
$string['coursecompletioncondition'] = 'شرط: {$a}';
$string['coursegrade'] = 'نمره درس';
$string['coursegrade_help'] = 'زمانی که فعال باشد، این معیار به عنوان کامل شده علامت گذاری می شود و این زمانی است که یادگیرنده رتبه تعیین شده یا بالاتر را کسب کند';
$string['courserpl'] = 'RPL دوره';
$string['courserplorallcriteriagroups'] = 'RPL برای دوره یا <br />همه گروه های معیار';
$string['courserploranycriteriagroup'] = 'RPL برای دوره یا <br />هر گروه معیار';
$string['coursesavailable'] = 'درس‌های موجود';
$string['coursesavailableexplaination'] = 'توجه: شرایط تکمیل درس باید برای یک درس تعیین شده باشد تا آن درس در لیست بالا نمایش داده شود.';
$string['criteria'] = 'ضابطه';
$string['criteriagradenote'] = 'لطفاً توجه داشته باشید به روزرسانی رتبه مورد نیاز در اینجا موجب به روزرسانی رتبه قبولی دوره فعلی نمی شود.';
$string['criteriagroup'] = 'گروه ضوابط';
$string['criteriarequiredall'] = 'تمام ضوابط زیر باید برآورده شوند';
$string['criteriarequiredany'] = 'حداقل یکی از ضوابط زیر برآورده شود';
$string['csvdownload'] = 'دریافت فایل در قالب صفحهٔ گسترده (فایل csv با کدگذاری UTF-8)';
$string['date'] = 'تاریخ';
$string['date_help'] = 'زمانی که فعال باشد، این معیار برای همه کاربران، جایی که به تاریخ تعیین شده رسیده باشد به عنوان کامل علامت گذاری می شود';
$string['datepassed'] = 'سپری شدن تاریخ';
$string['days'] = 'روز';
$string['daysafterenrolment'] = 'روزهای بعد از ثبت نام';
$string['daysoftotal'] = '{$a->days} از {$a->total}';
$string['deletecompletiondata'] = 'پاک کردن اطلاعات تکمیل';
$string['deletedcourse'] = 'دوره حذف شده';
$string['dependencies'] = 'وابستگی‌ها';
$string['dependenciescompleted'] = 'تکمیل درس‌های دیگر';
$string['durationafterenrolment'] = 'مدت زمان بعد از ثبت نام';
$string['durationafterenrolment_help'] = 'زمانی که فعال باشد، این معیار زمانی به عنوان کامل علامت گذاری می شود که مدت زمان ثبت نام کاربر به طول تعیین شده رسیده باشد.';
$string['editcoursecompletionsettings'] = 'ویرایش تنظیمات تکمیل درس';
$string['enablecompletion'] = 'فعال بودن پیگیری تکمیل';
$string['enablecompletion_help'] = 'در صورت فعال بودن، می‌توان شرایط تکمیل هر فعالیت را در صفحه تنظیمات فعالیت تعیین کرد و/یا شرایط تکمیل درس را می‌توان تعیین کرد. توصیه می‌شود این تنظیم را فعال بگذارید تا اطلاعات معناداری در قسمت مرور کلی درس‌ها در میز کار نمایش داده شود.';
$string['enablecourserpl'] = 'فعال کردن RPL برای دوره ها';
$string['enablemodulerpl'] = 'فعال کردن RPL برای مدول ها';
$string['enrolmentduration'] = 'مدت ثبت‌نام';
$string['enrolmentdurationlength'] = 'کاربر باید ثبت‌نام باقی بماند به‌مدت';
$string['err_noactivities'] = 'اطلاعات تکمیل برای هیچکدام از فعالیت‌ها فعال نشده است، بنابراین هیچکدام نمی‌توانند نمایش داده شوند. اطلاعات تکمیل را می‌توانید با ویرایش تنظیمات هر فعالیت فعال کنید.';
$string['err_nocourses'] = 'ویژگی تکمیل درس برای هیچکدام از درس‌های دیگر فعال نشده است، در نتیجه هیچکدام از آنها نمی‌توانند نشان داده شوند. این ویژگی را در صفحهٔ تنظیمات هر درس می‌توانید فعال کنید.';
$string['err_nocriteria'] = 'هیچ معیار تکمیل دوره ای برای این دوره تنظیم نشده است';
$string['err_nograde'] = 'برای این درس نمرهٔ قبولی تعیین نشده است. برای فعال کردن این نوع ضابطه، باید یک نمرهٔ قبولی برای این درس درنظر بگیرید.';
$string['err_noroles'] = 'هیچ نقشی با قابلیت moodle/course:markcomplete در این درس وجود ندارد.';
$string['err_nousers'] = 'هیچ شاگردی عضو این درس یا گروه نیست تا اطلاعات تکمیل فعالیتش نمایش داده شود. (به‌طور پیش‌فرض، اطلاعات مربوط به تکمیل فعالیت فقط برای شاگردان نمایش داده می‌شود، بنابراین در صورتی که شاگردی وجود نداشته باشد، این پیام را خواهید دید. مدیرها می‌توانند در صفحه‌های مدیریت سایت، این رفتار را تغییر دهند.)';
$string['error:cannotarchiveprogcourse'] = 'دوره هایی که بخشی از یک برنامه یا صدور گواهی هستند نمی توانند به صورت دستی بایگانی شوند.';
$string['error:coursestatuscomplete-rplgradenotempty'] = 'رتبه RPL، زمان کامل بودن کاربر باید خالی باشد (بدون RPL).';
$string['error:coursestatuscomplete-rplnotempty'] = 'RPL زمان کامل بودن کاربر باید خالی باشد (بدون RPL).';
$string['error:coursestatuscomplete-timecompletedempty'] = 'زمان کامل شده نباید زمان کامل بودن کاربر خالی باشد.';
$string['error:coursestatusinprogress-rplgradenotempty'] = 'رتبه RPL زمان در جریان بودن فعالیت کاربر باید خالی باشد.';
$string['error:coursestatusinprogress-rplnotempty'] = 'RPL زمان در جریان بودن فعالیت کاربر باید خالی باشد.';
$string['error:coursestatusinprogress-timecompletednotempty'] = 'زمان کامل شده، زمان در جریان بودن فعالیت کاربر باید خالی باشد.';
$string['error:coursestatusnotyetstarted-rplgradenotempty'] = 'رتبه RPL، زمانی که کاربر هنوز شروع نکرده است باید خالی باشد.';
$string['error:coursestatusnotyetstarted-rplnotempty'] = 'RPL، زمانی که کاربر هنوز شروع نکرده است باید خالی باشد.';
$string['error:coursestatusnotyetstarted-timecompletednotempty'] = 'زمان کامل شده برای زمانی که کاربر هنوز شروع نکرده است باید خالی باشد.';
$string['error:coursestatusrplcomplete-rplempty'] = 'RPL زمانی که کاربر از طریق rpl کامل است نباید خالی باشد.';
$string['error:coursestatusrplcomplete-timecompletedempty'] = 'زمان کامل شده برای زمانی که کاربر از طریق rpl کامل است نباید خالی باشد.';
$string['error:criteriaincomplete-rplnotempty'] = 'RPL باید زمانی که معیار کامل نیست خالی باشد';
$string['error:criterianotmodule-rplnotempty'] = 'RPL باید زمانی که معیار برای تکمیل فعالیت نیست خالی باشد';
$string['error:databaseupdatefailed'] = 'پایگاه داده به روزرسانی نشد';
$string['error:rplsaredisabled'] = 'رکورد یادگیری قبلی توسط سرپرست غیرفعال شده است';
$string['error:stateinvalid'] = 'نامعتبر - یک وضعیت معتبر انتخاب کنید';
$string['err_settingslocked'] = 'یک یا چند شاگرد در این لحظه یکی از ضابطه‌ها را تکمیل کرده‌اند بنابراین تنظیمات قفل شده است. بازکردن قفل تنظیم ضوابط تکمیل موجب پاک‌شدن تمام داده‌های موجود کاربران شده و ممکن است موجوب سردرگمی شود.';
$string['err_settingsunlockable'] = '<p>تغییر معیار تکمیل دوره بعد از اینکه برخی از کاربران از قبل دوره را کامل کرده اند توصیه نمی شود چون کاربران مختلفی به دلایل مختلفی به عنوان کامل شده علامت گذاری می شوند.</p><p>در این مرحله می توانید انتخاب کنید همه رکورد های تکمیل برای کاربرانی که از قبل به این دوره رسیده اند حذف شود. وضعیت تکمیل آنها با استفاده از معیار جدید و مرتبه دیگری که زمان بندی کرون اجرا شود دوباره محاسبه خواهد شد و بنابراین ممکن است دوباره به عنوان کامل شده علامت گذاری شوند.</p><p>یا اینکه انتخاب کنید همه رکورد های تکمیل دوره موجود را نگه داشته و بپذیرید که کاربران مختلف برای دستاوردهای مختلف این وضعیت ها را دریافت کرده اند.</p>';
$string['err_system'] = 'یک خطای داخلی در سیستم تکمیل رخ داد. (مدیران سیستم برای مشاهدهٔ جزئیات بیشتر می‌توانند اشکال‌زدایی را فعال کنند.)';
$string['eventcoursecompleted'] = 'درس تکمیل شد';
$string['eventcoursecompletionupdated'] = 'تکمیل درس به‌روز شد';
$string['eventcoursemodulecompletionupdated'] = 'تکمیل فعالیت درسی به‌روز شد';
$string['excelcsvdownload'] = 'دریافت فایل در قالب سازگار با Excel (فایل csv)';
$string['fraction'] = 'کسر';
$string['graderequired'] = 'نمره لازم در درس';
$string['gradexrequired'] = '{$a} لازم است';
$string['ihavecompleted'] = 'من این فعالیت را کامل کرده ام';
$string['inprogress'] = 'در جریان';
$string['manualcompletionby'] = 'علامت زدن به عنوان کامل توسط';
$string['manualcompletionby_help'] = 'فعال کردن این معیار به شما اجازه می دهد برای علامت گذاری دستی یک یادگیرنده به عنوان کامل شده در یک دوره، یک نقش (یا چندین نقش) را انتخاب کنید';
$string['manualcompletionbynote'] = 'توجه: برای اینکه یک نقش در لیست نمایش داده شود، باید قابلیت moodle/course:markcomplete را داشته باشد.';
$string['manuallymarkwhencomplete'] = 'علامت گذاری دستی این فعالیت زمان کامل شدن';
$string['manualselfcompletion'] = 'علامت زدن به عنوان کامل توسط خود افراد';
$string['manualselfcompletion_help'] = 'یادگیرنده می تواند با استفاده از بلوک "خود تکمیلی" خود را در این دوره به عنوان کامل علامت گذاری کند';
$string['manualselfcompletionnote'] = 'توجه: در صورت فعال بودن تکمیل دستی خود، بلوک تکمیل خود باید به درس اضافه شده باشد.';
$string['markcomplete'] = 'علامت زدن به‌عنوان کامل';
$string['markedcompleteby'] = 'علامت خوردن به عنوان کامل توسط {$a}';
$string['markingyourselfcomplete'] = 'علامت زدن خود به عنوان کامل';
$string['moredetails'] = 'جزئیات بیشتر';
$string['nocriteriaset'] = 'هیچ ضابطه‌ای برای تکمیل این درس تعیین نشده است';
$string['notachievedgrade'] = 'رتبه ای دریافت نکرده است';
$string['notcompleted'] = 'تکمیل‌نشده';
$string['notenroled'] = 'شما در این درس ثبت‌نام نیستید';
$string['nottracked'] = 'تکمیل شما در این درس رصد نمی‌شود';
$string['notviewedactivity'] = '{$a} را مشاهده نکرده است';
$string['notyetstarted'] = 'هنوز شروع نشده است';
$string['nouserstoarchive'] = 'کاربری که این دوره را کامل کرده باشد وجود ندارد';
$string['overallaggregation'] = 'نیازمندی‌های تکمیل';
$string['overallaggregation_all'] = 'درس در صورتی که تمام شرایط برآورده شوند کامل است';
$string['overallaggregation_any'] = 'درس در صورتی که هر کدام از شرایط برآورده شود کامل است';
$string['overallcriteriaaggregation'] = 'جمع کلی نوع معیار';
$string['overallcriteriaaggregation_help'] = 'سیستم تکمیل دوره چگونه مشخص می کند یادگیرنده کامل است';
$string['pending'] = 'در حال بررسی';
$string['periodpostenrolment'] = 'بعد از ثبت‌نام مدت مشخص';
$string['progress'] = 'پیشروی شاگردان';
$string['progress-title'] = '{$a->user}، {$a->activity}: {$a->state} {$a->date}';
$string['progresstotal'] = 'میزان پیشروی: {$a->complete} از {$a->total}';
$string['recognitionofpriorlearning'] = 'به‌رسمیت شناختن یادگیری قبلی';
$string['remainingenroledfortime'] = 'ثبت‌نام باقی ماندن برای یک مدت زمان مشخص';
$string['remainingenroleduntildate'] = 'ثبت‌نام باقی ماندن تا تاریخ مشخصی';
$string['reportpage'] = 'نمایش کاربران {$a->from} تا {$a->to} از {$a->total} کاربر.';
$string['requiredcriteria'] = 'ضوابط مورد نیاز';
$string['restoringcompletiondata'] = 'نوشتن اطلاعات تکمیل';
$string['returntocourse'] = 'برگشت به دوره';
$string['roleaggregation'] = 'این شرط نیازمند آن است که';
$string['roleaggregation_all'] = 'هنگامی‌که شرط برآورده شد، تمام نقش‌های انتخاب‌شده علامت بزنند';
$string['roleaggregation_any'] = 'هنگامی‌که شرط برآورده شد، هر کدام از نقش‌های انتخاب‌شده علامت بزند';
$string['roleaggregationmethod'] = 'روش تجمع';
$string['roleaggregationmethod_help'] = 'روش جمع کردن "همه" یعنی زمانی معیار به عنوان کامل علامت گذاری می شود که یادگیرنده بر اساس همه نقش های انتخابی به عنوان کامل علامت گذاری شده است. اگر روش جمع کردن بر روی "هر یک" تنظیم باشد یادگیرنده باید تنها یکی از نقش های انتخاب شده برای خود را جهت کامل کردن دوره انجام دهد تا به عنوان کامل علامت گذاری شود.';
$string['roleidnotfound'] = 'نقش با شناسهٔ {$a} پیدا نشد';
$string['rpl'] = 'RPL';
$string['save'] = 'ذخیره';
$string['saved'] = 'ذخیره شد';
$string['seedetails'] = 'مشاهده جزئیات';
$string['selectnone'] = 'انتخاب هیچ کدام';
$string['self'] = 'خود فرد';
$string['selfcompletion'] = 'تکمیل خود';
$string['showinguser'] = 'نمایش کاربر';
$string['showrpl'] = 'نمایش RPL';
$string['showrpls'] = 'نمایش RPL ها';
$string['unenrolingfromcourse'] = 'لغو ثبت‌نام در درس';
$string['unenrolment'] = 'اتمام ثبت نام';
$string['unit'] = 'واحد';
$string['unlockcompletion'] = 'باز کردن قفل گزینه‌های مربوط به تکمیل';
$string['unlockcompletiondelete'] = 'بازکردن قفل گزینه‌های تکمیل و  پاک‌کردن اطلاعات مربوط به تکمیل کاربران';
$string['unlockcompletionwithoutdelete'] = 'باز کردن قفل معیار بدون حذف';
$string['usealternateselector'] = 'استفاده از انتخاب‌گر درس جایگزین';
$string['usernotenroled'] = 'کاربر در این درس ثبت‌نام نیست';
$string['usersarchived'] = '{$a} رکوردهای تکمیل کاربران بایگانی شده اند';
$string['viewcoursereport'] = 'مشاهده گزارش درس';
$string['viewedactivity'] = '{$a}مشاهده شد';
$string['viewingactivity'] = 'دیدن {$a}';
$string['writingcompletiondata'] = 'نوشتن اطلاعات تکمیل';
$string['xdays'] = '{$a} روز';
$string['yourprogress'] = 'پیشروی شما';
