<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'portfolio', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   portfolio
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activeportfolios'] = 'مجموعه های موجود';
$string['addalltoportfolio'] = 'صادر کردن همه به مجموعه';
$string['addnewportfolio'] = 'افزودن یک مجموعه جدید';
$string['addtoportfolio'] = 'صدور به پورتفولیو';
$string['availableformats'] = 'قالب‌های صدور موجود';
$string['callbackclassinvalid'] = 'کلاس پاسخ تماس تعیین شده نامعتبر بود یا بخشی از سلسله مراتب portfolio_caller نبود';
$string['callercouldnotpackage'] = 'بسته بندی داده برای صادر کردن انجام نشد: خطای اصلی {$a} بود';
$string['cannotsetvisible'] = 'نمی توانید این را روی قابل مشاهده تنظیم کنید - پلاگین به طور کامل غیرفعال شده است چون پیکربندی نادرستی انجام شده است';
$string['commonportfoliosettings'] = 'تنظیمات مشترک پورتفولیوها';
$string['commonsettingsdesc'] = '<p>اینکه یک انتقال در زمانی «متوسط» انجام خواهد شد یا «زیاد» روی تصمیم گیری کاربر برای اینکه آیا می‌تواند برای کامل شدن انتقال منتظر بماند یا خیر تاثیر می‌گذارد.</p><p>انتقال‌هایی که اندازه‌شان کمتر از آستانهٔ متوسط است، بلافاصله و بدون سوال از کاربر انجام می‌شوند. برای انتقال‌های «متوسط» و «زیاد» به کاربر هشدار داده می‌شوند که انتقال ممکن است کمی به طول بیانجامد و کاربر می‌تواند انتخاب کند که عملیات انجام شود یا خیر.</p><p>برخی از پلاگین‌های پورتفولیو ممکن است این تنظیمات را کاملاً نادیده بگیرند و تمام انتقال‌ها را اجباراً در صف قرار دهند.</p>';
$string['configexport'] = 'پیکربندی داده‌های صدور';
$string['configplugin'] = 'پیکربندی پلاگین پورتفولیو';
$string['configure'] = 'پیکربندی';
$string['confirmcancel'] = 'آیا مطمئن هستید که می‌خواهید این صدور را لغو کنید؟';
$string['confirmexport'] = 'لطفاً این صدور را تائید کنید';
$string['confirmsummary'] = 'خلاصهٔ صدور شما';
$string['continuetoportfolio'] = 'ادامه تا مجموعه خود';
$string['deleteportfolio'] = 'حذف نمونه مجموعه';
$string['destination'] = 'مقصد';
$string['disabled'] = 'متاسفیم، ولی صدور پورتفولیوها در این سایت فعال نشده است';
$string['disabledinstance'] = 'غیر فعال';
$string['displayarea'] = 'ناحیه صادر کردن';
$string['displayexpiry'] = 'زمان انقضای انتقال';
$string['displayinfo'] = 'صادر کردن اطلاعات';
$string['dontwait'] = 'منتظر نمانید';
$string['enabled'] = 'فعال بودن پورتفولیوها';
$string['enableddesc'] = 'به مدیرها اجازه می‌دهد تا سیستم‌های راه دور را برای کاربران پیکربندی کنند تا محتوایشان را به آنها صادر کنند';
$string['err_uniquename'] = 'نام مجموعه باید منحصر به فرد باشد (هر پلاگین)';
$string['exportalreadyfinished'] = 'صادر کردن مجموعه کامل شد!';
$string['exportcomplete'] = 'صادر کردن مجموعه کامل شد!';
$string['exportedpreviously'] = 'صدورهای قبلی';
$string['exportexpired'] = 'صادر کردن مجموعه منقضی شد';
$string['exportexpireddesc'] = 'شما سعی کردید که صدور برخی از اطلاعات را تکرار کنید، یا اینکه یک صدور خالی را شروع کنید. برای
انجام درست آن کار باید به محل قبلی بازگردید و دوباره شروع کنید. این حالت گاهی به دلیل اینکه بعد از کامل‌شدن صدور از دکمهٔ بازگشت در مرورگر خود استفاده کرده‌اید، یا به دلیل نشانه‌گذاری یک آدرس اینترنتی اشتباه رخ می‌دهد.';
$string['exporting'] = 'صدور به پورتفولیو';
$string['exportingcontentfrom'] = 'صادر کردن محتوا از {$a}';
$string['exportingcontentto'] = 'صادر کردن محتوا به {$a}';
$string['exportqueued'] = 'صادر کردن مجموعه در صف انتقال قرار گرفته است';
$string['exportqueuedforced'] = 'صادر کردن مجموعه در صف انتقال قرار گرفته است (سیستم از راه دور انتقال های در صف قرار گرفته را انجام می دهد)';
$string['failedtosendpackage'] = 'داده های شما به سیستم مجموعه انتخابی ارسال نشد: خطای اصلی {$a} است';
$string['filedenied'] = 'دسترسی به این فایل رد شد';
$string['filenotfound'] = 'فایل یافت نشد';
$string['fileoutputnotsupported'] = 'نتیجه بازنویسی فایل برای این فرمت پشتیبانی نمی شود';
$string['format_document'] = 'سند';
$string['format_file'] = 'فایل';
$string['format_image'] = 'تصویر';
$string['format_leap2a'] = 'قالب پورتفولیوی Leap2A';
$string['format_mbkp'] = 'فرمت پشتیبان Totara';
$string['format_pdf'] = 'PDF';
$string['format_plainhtml'] = 'HTML';
$string['format_presentation'] = 'نمایش';
$string['format_richhtml'] = 'HTML با پیوست ها';
$string['format_spreadsheet'] = 'صفحه گسترده';
$string['format_text'] = 'متن ساده';
$string['format_video'] = 'ویدیو';
$string['highdbsizethreshold'] = 'اندازهٔ پایگاه دادهٔ انتقال زیاد';
$string['highdbsizethresholddesc'] = 'تعداد رکوردهای پایگاه داده که اگر پایگاه داده‌ای بیشتر از آن تعداد رکورد داشته باشد، به عنوان یک پایگاه دادهٔ بزرگ که انتقالش زمان زیادی به طول می‌انجامد در نظر گرفته می‌شود';
$string['highfilesizethreshold'] = 'اندازهٔ فایل انتقال زیاد';
$string['highfilesizethresholddesc'] = 'فایل‌هایی که اندازه‌شان بیشتر از این مقدار باشد به عنوان فایل‌های حجیم که انتقالشان زمان زیادی به طول می‌انجامد در نظر گرفته می‌شوند';
$string['insanebody'] = 'سلام! شما این پیام را به عنوان سرپرست {$a->sitename} دریافت می کنید.

برخی نمونه های پلاگین مجموعه به طور خودکار به دلیل پیکربندی نامناسب غیرفعال شدند. این یعنی در حال حاضر کاربران نمی توانند محتوا را به این مجموعه ها صادر کنند.

لیست نمونه های پلاگین مجموعه که غیرفعال شده اند:

{$a->textlist}

این مورد باید در اسرع وقت با مراجعه به {$a->fixurl} تصحیح شود.';
$string['insanebodyhtml'] = '<p>سلام! شما این پیام را به عنوان سرپرست {$a->sitename} دریافت می کنید.</p>
<p>برخی نمونه های پلاگین مجموعه به طور خودکار به دلیل پیکربندی نامناسب غیرفعال شدند. این یعنی در حال حاضر کاربران نمی توانند محتوا را به این مجموعه ها صادر کنند.</p>
<p>لیست نمونه های پلاگین مجموعه که غیرفعال شده اند:</p>
{$a->htmllist}
<p>این مورد باید در اسرع وقت با مراجعه به <a href="{$a->fixurl}">صفحات پیکربندی مجموعه</a></p> تصحیح شود';
$string['insanebodysmall'] = 'سلام! شما این پیام را به عنوان سرپرست {$a->sitename} دریافت می کنید. برخی نمونه های پلاگین مجموعه به طور خودکار به دلیل پیکربندی نامناسب غیرفعال شدند. این یعنی در حال حاضر کاربران نمی توانند محتوا را به این مجموعه ها صادر کنند. این مورد باید در اسرع وقت با مراجعه به {$a->fixurl} تصحیح شود.';
$string['insanesubject'] = 'برخی نمونه های مجموعه به طور خودکار غیرفعال شدند';
$string['instancedeleted'] = 'مجموعه حذف شد';
$string['instanceismisconfigured'] = 'نمونه مجموعه دارای پیکربندی نادرست است، از آن رد شوید. خطا این بود: {$a}';
$string['instancenotsaved'] = 'مجموعه ذخیره نشد';
$string['instancesaved'] = 'پورتفولیو با موفقیت ذخیره شد';
$string['intro'] = 'محتوایی که ایجاد کردید مانند ارسال های تکلیف، پست های فروم و ورودی های وبلاگ، می توانند به مجموعه صادر شوند یا دانلود شوند.<br>
هر مجموعه ای که نمی خواهید استفاده کنید می تواند پنهان شود، برای همین به عنوان گزینه ای که محتوا به آن صادر شود لیست نمی شود.';
$string['invalidaddformat'] = 'فرمت افزودن نامعتبری برای portfolio_add_button در نظر گرفته شده است. ({$a}) باید یکی از PORTFOLIO_ADD_XXX باشد';
$string['invalidbuttonproperty'] = 'نمی توانید این ویژگی ({$a}) را از portfolio_button  پیدا کنید';
$string['invalidconfigproperty'] = 'نمی توانید این ویژگی پیکربندی ({$a->property} از {$a->class}) را پیدا کنید';
$string['invalidexportproperty'] = 'نمی توانید این ویژگی صادر کردن پیکربندی ({$a->property} از {$a->class}) را پیدا کنید';
$string['invalidfileareaargs'] = 'نشانوندهای ناحیه فایل نامعتبری که برای set_file_and_format_data -‎ در نظر گرفته شده باید شامل شناسه زمینه، مؤلفه، ناحیه فایل و شناسه مورد شود';
$string['invalidformat'] = 'مواردی با فرمت نامعتبر در حال صادر شدن هستند، {$a}';
$string['invalidinstance'] = 'نمی توانید نمونه مجموعه را پیدا کنید';
$string['invalidpreparepackagefile'] = 'تماس نامعتبری برای prepare_package_file تکی یا چند فایل باید تنظیم شده باشد';
$string['invalidproperty'] = 'نمی توانید این ویژگی ({$a->property} از {$a->class}) را پیدا کنید';
$string['invalidsha1file'] = 'تماس نامعتبری برای get_sha1_file تکی یا چند فایل باید تنظیم شده باشد';
$string['invalidtempid'] = 'شناسه صادر کردن نامعتبر. ممکن است منقضی شده باشد';
$string['invaliduserproperty'] = 'نمی توانید این ویژگی پیکربندی کاربر ({$a->property} از {$a->class}) را پیدا کنید';
$string['leap2a_emptyselection'] = 'مقدار مورد نیاز یافت نشد';
$string['leap2a_entryalreadyexists'] = 'سعی کردید یک ورودی Leap2A با شناسه ({$a}) اضافه کنید که قبلاً در این فید موجود است';
$string['leap2a_feedtitle'] = 'صادر کردن Leap2A از Totara برای {$a}';
$string['leap2a_filecontent'] = 'سعی کردید محتوای ورودی Leap2A را در فایل تنظیم کنید، به جای اینکه ار کلاس فرعی فایل استفاده کنید';
$string['leap2a_invalidentryfield'] = 'شما سعی کردید قسمت ورودی را تنظیم کنید که وجود نداشت ({$a}) یا اینکه نمی توانید به طور مستقیم تنظیم کنید';
$string['leap2a_invalidentryid'] = 'شما سعی کردید به ورودی با شناسه ای دسترسی یابید که وجود نداشت ({$a})';
$string['leap2a_missingfield'] = 'قسمت ورودی Leap2A مورد نیاز {$a} از دست رفته است';
$string['leap2a_nonexistantlink'] = 'ورودی Leap2A ({$a->from}) سعی کرد به یک ورودی غیر موجود ({$a->to}) با rel {$a->rel} لینک شود';
$string['leap2a_overwritingselection'] = 'رونویسی نوع اصلی یک ورودی ({$a}) برای انتخاب در make_selection';
$string['leap2a_selflink'] = 'یک ورودی Leap2A ({$a->id}) سعی کرد با rel به خودش لینک شود {$a->rel}';
$string['logs'] = 'ثبت انتقال';
$string['logsummary'] = 'انتقال های موفق قبلی';
$string['manageportfolios'] = 'مدیریت پورتفولیوها';
$string['manageyourportfolios'] = 'مدیریت پورتفولیوهای شما';
$string['mimecheckfail'] = 'پلاگین مجموعه {$a->plugin} از mimetype {$a->mimetype}پشتیبانی نمی کند';
$string['missingcallbackarg'] = 'نشانوند پاسخ تماس از دست رفته {$a->arg} برای کلاس {$a->class}';
$string['moderatedbsizethreshold'] = 'اندازهٔ پایگاه دادهٔ انتقال متوسط';
$string['moderatedbsizethresholddesc'] = 'تعداد رکوردهای پایگاه داده که اگر پایگاه داده‌ای بیشتر از آن تعداد رکورد داشته باشد، به عنوان یک پایگاه دادهٔ متوسط که انتقالش زمان متوسطی به طول می‌انجامد در نظر گرفته می‌شود';
$string['moderatefilesizethreshold'] = 'اندازهٔ فایل انتقال متوسط';
$string['moderatefilesizethresholddesc'] = 'فایل‌هایی که اندازه‌شان بیشتر از این مقدار باشد، به عنوان فایل‌های متوسط که انتقالشان در زمان متوسطی انجام می‌شود در نظر گرفته می‌شوند';
$string['multipleinstancesdisallowed'] = 'تلاش برای ایجاد نمونه دیگری از یک پلاگین که نمونه های چندتایی را رد می کند ({$a})';
$string['mustsetcallbackoptions'] = 'باید گزینه های پاسخ تماس را یا در سازنده portfolio_add_button یا با استفاده از روش set_callback_options تنظیم کنید';
$string['noavailableplugins'] = 'متأسفیم، ولی مجموعه ای برای شما جهت صادر کردن به آن موجود نیست';
$string['nocallbackclass'] = 'نمی توانید کلاس پاسخ تماس را برای استفاده ({$a}) پیدا کنید';
$string['nocallbackcomponent'] = 'نمی توانید مؤلفه تعیین شده {$a} را پیدا کنید.';
$string['nocallbackfile'] = 'موردی در مدولی که سعی می کنید از آن صادر کنید مشکل دارد - نمی توانید یک فایل مجموعه مورد نیاز پیدا کنید';
$string['noclassbeforeformats'] = 'باید قبل از تماس با set_formats در portfolio_button، کلاس پاسخ تماس را تنظیم کنید';
$string['nocommonformats'] = 'فرمت های مشترکی بین پلاگین مجموعه و مکان تماس {$a->location} (تماس گیرنده {$a->formats} را پشتیبانی کرد) وجود ندارد';
$string['noinstanceyet'] = 'هنوز انتخاب نشده است';
$string['nologs'] = 'ثبت وقایعی برای نمایش وجود ندارد!';
$string['nomultipleexports'] = 'متأسفیم، اما مقصد مجموعه ({$a->plugin}) از صادرکردن چندتایی به طور همزمان پشتیبانی نمی کند. لطفاً <a href="{$a->link}">ابتدا این مورد فعلی</a> را تمام کنید و دوباره امتحان نمایید';
$string['nonprimative'] = 'یک مقدار غیر اصلی به عنوان نشانوند پاسخ تماس برای portfolio_add_button منتقل شد. امتناع از ادامه. کلید {$a->key} بود و مقدار {$a->value} بود';
$string['nopermissions'] = 'متأسفیم ولی شما مجوز لازم برای صادر کردن فایل ها از این ناحیه را ندارید';
$string['notexportable'] = 'متأسفیم ولی نوع محتوایی که می خواهید صادر کنید قابل صادر کردن نیست';
$string['notimplemented'] = 'متأسفیم ولی می خواهید محتوایی را با فرمت هایی صادر کنید که هنوز اجرا نشده اند ({$a})';
$string['notyetselected'] = 'هنوز انتخاب نشده است';
$string['notyours'] = 'می خواهید صادر کردن مجموعه ای را از سر بگیرید که به شما تعلق ندارد!';
$string['off'] = 'فعال ولی پنهان';
$string['on'] = 'فعال و قابل مشاهده';
$string['plugin'] = 'پلاگین پورتفولیو';
$string['plugincouldnotpackage'] = 'بسته بندی داده برای صادر کردن انجام نشد: خطای اصلی {$a} بود';
$string['pluginismisconfigured'] = 'پلاگین مجموعه دارای پیکربندی نادرستی است، از آن رد شوید. خطا این بود: {$a}';
$string['portfolio'] = 'مجموعه';
$string['portfolios'] = 'پورتفولیوها';
$string['queuesummary'] = 'انتقال هایی که در حال حاضر در صف قرار دارند';
$string['returntowhereyouwere'] = 'بازگشت به جایی که بودید';
$string['save'] = 'ذخیره';
$string['selectedformat'] = 'قالب صدور انتخاب شده';
$string['selectedwait'] = 'برای انتظار انتخاب شدند؟';
$string['selectplugin'] = 'مقصد را انتخاب کنید';
$string['showhide'] = 'نمایش / پنهان کردن';
$string['singleinstancenomultiallowed'] = 'تها یک پلاگین مجموعه تکی موجود است، در هر جلسه از چندین صادر کردن پشتیبانی نمی کند و از قبل هم یک صادر کردن فعال با استفاده از این پلاگین در جلسه وجود دارد!';
$string['somepluginsdisabled'] = 'برخی از کل پلاگین های مجموعه غیرفعال شده اند چون یا دارای پیکربندی نامناسبی هستند یا به موارد دیگری وابسته اند که عبارتند از:';
$string['sure'] = 'مطمئن هستید می خواهید \'{$a}\' را حذف کنید؟ این عمل برگشت پذیر نیست.';
$string['thirdpartyexception'] = 'یک استثنای شخص ثالث در طول صادر کردن مجموعه ({$a}) رخ داد. آن را پیدا کرده و دوباره تنظیم کنید ولی ابتدا مشکل آن را برطرف کنید';
$string['transfertime'] = 'زمان انتقال';
$string['unknownplugin'] = 'ناشناخته (ممکن است از زمانی که توسط سرپرست حذف شده است اینگونه باشد)';
$string['wait'] = 'در انتظار';
$string['wanttowait_high'] = 'توصیه نمی شود منتظر بمانید این انتقال کامل شود، ولی اگر مطمئن هستید و می دانید چه کاری انجام می دهید می توانید منتظر بمانید';
$string['wanttowait_moderate'] = 'می خواهید منتظر این انتقال بمانید؟ ممکن است چند دقیقه طول بکشد';
