<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_behat', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_behat
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aim'] = 'این ابزار مدیریتی به توسعه‌دهندگان و نویسندگان تست‌ها کمک می‌کند تا فایل‌های <span dir="ltr" style="direction: ltr; display: inline-block">.feature</span> ی که عملکرد مودل را تعریف می‌کنند بسازند و آنها را به‌طور خودکار اجرا کنند. تعریف مرحله (step definition)های موجود برای استفاده در فایل‌های <span dir="ltr" style="direction: ltr; display: inline-block">.feature</span> در زیر لیست شده‌اند.';
$string['allavailablesteps'] = 'تمام تعریف مرحله‌های موجود';
$string['errorbehatcommand'] = 'خطا در اجرای نظر behat CLI. سعی کنید "{$a} --راهنما" را به صورت دستی از CLI اجرا کنید تا درباره مشکل اطلاعات بیشتری به دست آورید.';
$string['errorcomposer'] = 'وابستگی‌های composer نصب نیستند.';
$string['errordataroot'] = '$CFG->behat_dataroot تنظیم نیست یا نامعتبر است.';
$string['errorsetconfig'] = '$CFG->behat_dataroot، $CFG->behat_prefix و $CFG->behat_wwwroot باید از config.php تنظیم شوند.';
$string['erroruniqueconfig'] = 'مقادیر $CFG->behat_dataroot، $CFG->behat_prefix و $CFG->behat_wwwroot باید با مقادیر $CFG->dataroot، $CFG->prefix، $CFG->wwwroot، $CFG->phpunit_dataroot و $CFG->phpunit_prefix فرق داشته باشد.';
$string['fieldvalueargument'] = 'نشانوندهای مقدار قسمت';
$string['fieldvalueargument_help'] = 'این نشانوند باید با یک مقدار قسمت تکمیل شود، انواع قسمت وجود دارد، انواع ساده مانند کادرهای انتخاب، انتخاب ها یا نواحی متن یا انواع پیچیده مانند انتخاب گرهای تاریخ. می توانید <a href="http://docs.moodle.org/dev/Acceptance_testing#Providing_values_to_steps" target="_blank">مقادیر قسمت</a> را علامت بزنید تا مقدار قسمت مورد انتظار را بسته به نوع قسمتی که ارائه می دهید مشاهده نمایید.';
$string['giveninfo'] = 'داده شده. پردازش ها برای تنظیم محیط';
$string['infoheading'] = 'اطلاعات';
$string['installinfo'] = 'برای اطلاعات مربوط به نصب و اجرای تست‌ها {$a} را مطالعه کنید';
$string['newstepsinfo'] = 'برای اطلاعات دربارهٔ چگونه اضافه‌کردن تعریف مرحله (step definition)های جدید {$a} را مطالعه کنید';
$string['newtestsinfo'] = 'برای اطلاعات دربارهٔ چگونه نوشتن تست‌های جدید {$a} را مطالعه کنید';
$string['nostepsdefinitions'] = 'هیچ تعریف مرحله‌ای منطبق با این فیلترها نیست';
$string['pluginname'] = 'بررسی پذیرش';
$string['stepsdefinitionscomponent'] = 'ناحیه';
$string['stepsdefinitionscontains'] = 'شامل می شود';
$string['stepsdefinitionsfilters'] = 'تعریف مرحله‌ها';
$string['stepsdefinitionstype'] = 'نوع';
$string['theninfo'] = 'سپس. بررسی ها برای اطمینان از اینکه نتایج از انواع مورد انتظار هستند';
$string['unknownexceptioninfo'] = 'مشکلی در Selenium یا مرورگر شما وجود داشت. لطفاً دقت کنید از جدیدترین نسخه Selenium استفاده می کنید. خطا:';
$string['viewsteps'] = 'فیلتر';
$string['wheninfo'] = 'زمانی که. اقداماتی که رویدادی را موجب می شوند';
$string['wrongbehatsetup'] = 'تنظیم behat مشکلی دارد و به همین دلیل تعاریف مرحله قابل لیست بندی نیست: <b>{$a->errormsg}</b><br/><br/>لطفاً بررسی کنید:<ul>
<li>$CFG->behat_dataroot، $CFG->behat_prefix و $CFG->behat_wwwroot در config.php تنظیم شدند و مقادیر آنها با $CFG->dataroot، $CFG->prefix و $CFG->wwwroot فرق دارد.</li>
<li>شما "{$a->behatinit}" را از فهرست ریشه Totara خود اجرا کردید.</li>
<li>وابستگی ها در وندور نصب می شود/ و فایل {$a->behatcommand} مجوزهای اجرایی دارد.</li></ul>';
