<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_xmldb', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_xmldb
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actual'] = 'واقعی';
$string['aftertable'] = 'بعد از جدول:';
$string['back'] = 'بازگشت';
$string['backtomainview'] = 'بازگشت به صفحهٔ اصلی';
$string['cannotuseidfield'] = 'نمی توانید قسمت "شناسه" را وارد کنید. این یک ستون شمارنده خودکار است';
$string['change'] = 'تغییر';
$string['charincorrectlength'] = 'طول نادرست برای قسمت نویسه';
$string['checkbigints'] = 'بررسی integer ها';
$string['check_bigints'] = 'جستجوی عددهای صحیح نادرست در پایگاه داده';
$string['checkdefaults'] = 'بررسی پیش‌فرض‌ها';
$string['check_defaults'] = 'جستجوی مقادیر پیش‌فرض ناسازگار';
$string['checkforeignkeys'] = 'بررسی کلیدهای خارجی';
$string['check_foreign_keys'] = 'جستجوی تخطی‌های کلید خارجی';
$string['checkindexes'] = 'بررسی index ها';
$string['check_indexes'] = 'جستجوی index های ناموجود در پایگاه داده';
$string['checkoraclesemantics'] = 'بررسی مفاهیم';
$string['check_oracle_semantics'] = 'جستجوی طول نادرست مفاهیم';
$string['completelogbelow'] = '(گزارش کامل جستجو را در زیر ببینید)';
$string['confirmcheckbigints'] = 'این قابلیت به جستجوی <a href="http://tracker.moodle.org/browse/MDL-11038">فیلدهای عددی صحیح به طور بالقوه مشکل‌دار</a> در کارگزار مودل شما می‌پردازد و به طور خودکار دستورات SQL مورد نیاز برای مناسب کردن تعریف تمام فیلدهای عدد صحیح در پایگاه دادهٔ شما را تولید (و نه اجرا) می‌کند.

پس از تولید، می‌توانید آن دستورها را کپی کرده و آنها را با خاطر آسوده و با استفاده از نرم‌افزار اتصال به SQL دلخواهتان اجرا کنید (فراموش نکنید که پیش از آن از داده‌هایتان پشتیبان تهیه نمایید).

قویاً توصیه می‌شود که برای اجرای جستجوی عددهای صحیح مشکل‌دار، در حال استفاده از جدیدترین نسخهٔ موجود (نسخهٔ +) از انتشار مودل خود (۱٫۸، ۱٫۹، ۲٫x، ...) باشید.

این قابلیت هیچ عملی در قبال پیاگاه داده انجام نمی‌دهد (تنها اطلاعات را از آن می‌خواند)، بنابراین می‌تواند در هر زمانی اجرا شود.';
$string['confirmcheckdefaults'] = 'این قابلیت به جستجوی مقادیر پیش‌فرض ناسازگار در کارگزار مودل شما می‌پردازد و به طور خودکار دستورات SQL مورد نیاز برای تعریف مناسب مقادیر پیش‌فرض را تولید (و نه اجرا) می‌کند.

پس از تولید، می‌توانید آن دستورها را کپی کرده و آنها را با خاطر آسوده و با استفاده از نرم‌افزار اتصال به SQL دلخواهتان اجرا کنید (فراموش نکنید که پیش از آن از داده‌هایتان پشتیبان تهیه نمایید).

قویاً توصیه می‌شود که برای اجرای جستجوی مقادیر پیش‌فرض ناسازگار، در حال استفاده از جدیدترین نسخهٔ موجود (نسخهٔ +) از انتشار مودل خود (۱٫۸، ۱٫۹، ۲٫x، ...) باشید.

این قابلیت هیچ عملی در قبال پایگاه داده انجام نمی‌دهد (تنها اطلاعات را از آن می‌خواند)، بنابراین می‌تواند در هر زمانی اجرا شود.';
$string['confirmcheckforeignkeys'] = 'این قابلیت به جستجوی تخطی‌های بالقوهٔ کلیدهای خارجی تعریف شده در تعاریف install.xml می‌پردازد. (در حال حاضر مودل محدودیت‌های واقعی کلید خارجی را تولید نمی‌کند. به همین دلیل است که ممکن است داده‌های نامعتبری در پایگاه داده وجود داشته باشد.)

قویاً توصیه می‌شود که برای اجرای جستجوی تخطی‌های بالقوهٔ کلیدهای خارجی، در حال استفاده از جدیدترین نسخهٔ موجود (نسخهٔ +) از انتشار مودل خود باشید.

این قابلیت هیچ عملی در قبال پایگاه داده انجام نمی‌دهد (تنها اطلاعات را از آن می‌خواند)، بنابراین می‌تواند در هر زمانی اجرا شود.';
$string['confirmcheckindexes'] = 'این قابلیت به جستجوی index های بالقوهٔ ناموجود در کارگزار مودل شما می‌پردازد و به طور خودکار دستورات SQL مورد نیاز برای به‌روز کردن همه چیز را تولید (و نه اجرا) می‌کند.

پس از تولید، می‌توانید آن دستورها را کپی کرده و آنها را با خاطر آسوده و با استفاده از نرم‌افزار اتصال به SQL دلخواهتان اجرا کنید (فراموش نکنید که پیش از آن از داده‌هایتان پشتیبان تهیه نمایید).

قویاً توصیه می‌شود که برای اجرای جستجوی index های ناموجود، در حال استفاده از جدیدترین نسخهٔ موجود (نسخهٔ +) از انتشار مودل خود (۱٫۸، ۱٫۹، ۲٫x، ...) باشید.

این قابلیت هیچ عملی در قبال پایگاه داده انجام نمی‌دهد (تنها اطلاعات را از آن می‌خواند)، بنابراین می‌تواند در هر زمانی اجرا شود.';
$string['confirmcheckoraclesemantics'] = 'این قابلیت عملکرد ستون های <a href="http://tracker.moodle.org/browse/MDL-29322">Oracle varchar2 را با استفاده از مفاهیم BYTE</a> در سرور Totara شما جستجو خواهد کرد، به طور خودکار توضیحات SQL لازم را ایجاد می کند (ولی اجرا نمی کند!) تا همه ستون ها را به استفاده از مفاهیم CHAR تغییر دهد (برای قابلیت سازگاری پایگاه داده متقابل و حداکثر طول محتویات افزایش یافته بهتر است).

زمانی که ایجاد شد می توانید این توضیحات را کپی کرده و با ایمنی از طریق رابط CHAR مورد نظر خود به اجرا بگذارید (فراموش نکنید قبل از انجام اینکار از داده های خود نسخه پشتیبان بگیرید).

اکیداً توصیه می شود آخرین (+ نسخه) موجود Totara را قبل از اجرای جستجوی مفاهیم BYTE اجرا کنید.

این قابلیت عملکردی اقدامی در برابر DB (پایگاه داده) انجام نمی دهد (فقط از آن می خواند) برای همین می تواند در هر زمانی با ایمنی اجرا شود.';
$string['confirmdeletefield'] = 'آیا کاملا مطمئن هستید که می‌خواهید این فیلد را حذف کنید:';
$string['confirmdeleteindex'] = 'آیا کاملا مطمئن هستید که می‌خواهید این index را حذف کنید:';
$string['confirmdeletekey'] = 'آیا کاملا مطمئن هستید که می‌خواهید این کلید را حذف کنید:';
$string['confirmdeletetable'] = 'آیا کاملا مطمئن هستید که می‌خواهید این جدول را حذف کنید:';
$string['confirmdeletexmlfile'] = 'آیا کاملا مطمئن هستید که می‌خواهید این فایل را حذف کنید:';
$string['confirmrevertchanges'] = 'آیا کاملا مطمئن هستید که می‌خواهید تغییرات اعمال شده را برگردانید:';
$string['create'] = 'ایجاد';
$string['createtable'] = 'ایجاد جدول:';
$string['defaultincorrect'] = 'پیش فرض نادرست';
$string['delete'] = 'حذف';
$string['delete_field'] = 'حذف فیلد';
$string['delete_index'] = 'حذف index';
$string['delete_key'] = 'حذف کلید';
$string['delete_table'] = 'حذف جدول';
$string['delete_xml_file'] = 'حذف فایل XML';
$string['doc'] = 'مستند';
$string['docindex'] = 'شاخص سند:';
$string['documentationintro'] = 'این مستندات از روی تعریف پایگاه داده XMLDB به صورت خودکار تولید شده‌اند و تنها به انگلیسی موجود می‌باشند.';
$string['down'] = 'پایین';
$string['duplicate'] = 'تکرار';
$string['duplicatefieldname'] = 'قسمت دیگری با این نام موجود است';
$string['duplicatefieldsused'] = 'قسمت های تکراری استفاده شد';
$string['duplicateindexname'] = 'نام شاخص تکراری';
$string['duplicatekeyname'] = 'کلید دیگری با این نام موجود است';
$string['duplicatetablename'] = 'جدول دیگری با این نام موجود است';
$string['edit'] = 'ویرایش';
$string['edit_field'] = 'ویرایش فیلد';
$string['edit_field_save'] = 'ذخیره قسمت';
$string['edit_index'] = 'ویرایش index';
$string['edit_index_save'] = 'ذخیره شاخص';
$string['edit_key'] = 'ویرایش کلید';
$string['edit_key_save'] = 'ذخیره کلید';
$string['edit_table'] = 'ویرایش جدول';
$string['edit_table_save'] = 'ذخیره جدول';
$string['edit_xml_file'] = 'ویرایش فایل XML';
$string['enumvaluesincorrect'] = 'مقادیر نادرست برای قسمت شمارش';
$string['expected'] = 'مورد انتظار';
$string['extensionrequired'] = 'متأسفیم - پسوند PHP \'{$a}\' برای این عملکرد لازم است. لطفاً اگر می خواهید از این ویژگی استفاده کنید پسوند را نصب کنید.';
$string['field'] = 'قسمت';
$string['fieldnameempty'] = 'قسمت نام خالی است';
$string['fields'] = 'فیلدها';
$string['fieldsnotintable'] = 'قسمت در جدول موجود نیست';
$string['fieldsusedinindex'] = 'این قسمت به عنوان شاخص استفاده می شود';
$string['fieldsusedinkey'] = 'این قسمت به عنوان کلید استفاده می شود.';
$string['filemodifiedoutfromeditor'] = 'اخطار: در حینی که از ویرایشگر XMLDB استفاده می‌شده است، فایل به‌طور محلی تغییر کرده است. ذخیرهٔ تغییرات منجر به بازنویسی شدن تغییرات محلی خواهد شد.';
$string['filenotwriteable'] = 'فایل قابل نوشتن نیست';
$string['fkunknownfield'] = 'کلید خارجی {$a->keyname} در جدول {$a->tablename} به یک قسمت غیر موجود {$a->reffield} در جدول ارجاع {$a->reftable} اشاره دارد.';
$string['fkunknowntable'] = 'کلید خارجی {$a->keyname} در جدول {$a->tablename} به جدول غیر موجود {$a->reftable} اشاره دارد.';
$string['fkviolationdetails'] = 'کلید خارجی {$a->keyname} در جدول {$a->tablename} با {$a->numviolations} ردیف از {$a->numrows} نقض می شود.';
$string['float2numbernote'] = 'توجه: با اینکه قسمت های "شناور" %100 از طرف XMLDB پشتیبانی می شود، توصیه می شود به جای آن به قسمت های "عدد" انتقال دهید.';
$string['floatincorrectdecimals'] = 'تعداد نادرست اعداد اعشاری برای قسمت شناور';
$string['floatincorrectlength'] = 'طول نادرست برای قسمت شناور';
$string['generate_all_documentation'] = 'همه اسناد';
$string['generate_documentation'] = 'مستندات';
$string['gotolastused'] = 'رفتن به آخرین فایل استفاده شده';
$string['incorrectfieldname'] = 'نام نادرست';
$string['incorrectindexname'] = 'نام شاخص نادرست';
$string['incorrectkeyname'] = 'نام کلید نادرست';
$string['incorrecttablename'] = 'نام جدول نادرست';
$string['index'] = 'شاخص';
$string['indexes'] = 'index ها';
$string['indexnameempty'] = 'نام شاخص خالی است';
$string['integerincorrectlength'] = 'طول نادرست برای قسمت عدد صحیح';
$string['key'] = 'کلید';
$string['keynameempty'] = 'نام کلید نمی تواند خالی باشد';
$string['keys'] = 'کلیدها';
$string['listreservedwords'] = 'لیست کلمه‌های رزرو شده<br />(برای به‌روز نگاه داشتن <a href="http://docs.moodle.org/dev/XMLDB_reserved_words" target="_blank">XMLDB_reserved_words</a> استفاده می‌شود)';
$string['load'] = 'بار شدن';
$string['main_view'] = 'نمای اصلی';
$string['masterprimaryuniqueordernomatch'] = 'قسمت های موجود در کلید خارجی باید به همان ترتیبی لیست شوند که در UNIQUE KEY در جدول ارجاع داده شده لیست شده اند.';
$string['missing'] = 'از دست رفته';
$string['missingindexes'] = 'index های ناموجود پیدا شده';
$string['mustselectonefield'] = 'باید یک قسمت را انتخاب کنید تا عملکردهای مربوط به قسمت را ببینید!';
$string['mustselectoneindex'] = 'باید یک شاخص را انتخاب کنید تا عملکردهای مربوط به شاخص را ببینید!';
$string['mustselectonekey'] = 'باید یک کلید را انتخاب کنید تا عملکردهای مربوط به کلید را ببینید!';
$string['newfield'] = 'فیلد جدید';
$string['newindex'] = 'index جدید';
$string['newkey'] = 'کلید جدید';
$string['newtable'] = 'جدول جدید';
$string['newtablefrommysql'] = 'جدول جدید از روی MySQL';
$string['new_table_from_mysql'] = 'جدول جدید از روی MySQL';
$string['nofieldsspecified'] = 'هیچ قسمتی تعیین نشده است';
$string['nomasterprimaryuniquefound'] = 'ستون (های) مربوط به مرجع های کلید خارجی باید در یک کلید منحصر به فرد یا اولیه در جدول ارجاع گنجانده شود. توجه داشته باشید، بودن ستون در یک UNIQUE INDEX به اندازه کافی خوب نیست.';
$string['nomissingindexesfound'] = 'هیچ index ناموجودی پیدا نشده است، پایگاه دادهٔ شما نیاز به اقدامات بیشتری ندارد.';
$string['noreffieldsspecified'] = 'هیچ قسمت مرجعی تعیین نشد';
$string['noreftablespecified'] = 'جدول مرجع تعیین شده یافت نشد';
$string['noviolatedforeignkeysfound'] = 'هیچ کلید خارجی ناقضی پیدا نشد';
$string['nowrongdefaultsfound'] = 'هیچ مقدار پیش‌فرض ناسازگاری پیدا نشد، پایگاه دادهٔ شما نیاز به اقدامات بیشتری ندارد.';
$string['nowrongintsfound'] = 'هیچ عدد صحیح مشکل‌داری پیدا نشد، پایگاه دادهٔ شما نیاز به اقدامات بیشتری ندارد.';
$string['nowrongoraclesemanticsfound'] = 'هیچ ستون Oracle که از مفاهیم BYTE استفاده می کند یافت نشد، پایگاه داده شما به عملکردهای دیگری نیاز ندارد.';
$string['numberincorrectdecimals'] = 'تعداد نادرست اعداد اعشاری برای قسمت عدد';
$string['numberincorrectlength'] = 'طول نادرست برای قسمت عدد';
$string['pendingchanges'] = 'توجه: تغییراتی در این فایل انجام داده اید. در هر زمانی قابل ذخیره اند.';
$string['pendingchangescannotbesaved'] = 'تغییراتی در این فایل داده شده است ولی قابل ذخیره شدن نیستند! لطفا بررسی کنید که هم دایرکتوری و هم فایل instal.xml داخل آن مجوز نوشتن توسط کارگزار وب را داشته باشند.';
$string['pendingchangescannotbesavedreload'] = 'تغییراتی در این فایل داده شده است ولی قابل ذخیره شدن نیستند! لطفا بررسی کنید که هم دایرکتوری و هم فایل instal.xml داخل آن مجوز نوشتن توسط کارگزار وب را داشته باشند. سپس با بارگیری مجدد این صفحه باید بتوانید آن تغییرات را ذخیره کنید.';
$string['pluginname'] = 'ویرایشگر XMLDB';
$string['primarykeyonlyallownotnullfields'] = 'کلیدهای اصلی نمی‌توانند null باشند';
$string['reserved'] = 'رزرو شده';
$string['reservedwords'] = 'کلمات رزرو شده';
$string['revert'] = 'بازگردانی';
$string['revert_changes'] = 'برگرداندن تغییرات';
$string['save'] = 'ذخیره';
$string['searchresults'] = 'نتایج جستجو';
$string['selectaction'] = 'انتخاب عملکرد:';
$string['selectdb'] = 'انتخاب پایگاه داده:';
$string['selectfieldkeyindex'] = 'انتخاب قسمت/کلید/شاخص:';
$string['selectonecommand'] = 'لطفاً یک عملکرد از لیست انتخاب کنید تا کد PHP را مشاهده کنید';
$string['selectonefieldkeyindex'] = 'لطفاً یک قسمت/کلید/شاخص از لیست انتخاب کنید تا کد PHP را مشاهده کنید';
$string['selecttable'] = 'انتخاب جدول:';
$string['table'] = 'جدول';
$string['tablenameempty'] = 'نام جدول نمی تواند خالی باشد';
$string['tables'] = 'جدول‌ها';
$string['unknownfield'] = 'به قسمت ناشناخته ای مربوط است';
$string['unknowntable'] = 'به جدول ناشناخته ای مربوط است';
$string['unload'] = 'تخلیه';
$string['up'] = 'بالا';
$string['view'] = 'مشاهده';
$string['viewedited'] = 'مشاهدهٔ نسخهٔ ویرایش شده';
$string['vieworiginal'] = 'مشاهدهٔ نسخهٔ اصلی';
$string['viewphpcode'] = 'مشاهدهٔ کد PHP';
$string['view_reserved_words'] = 'مشاهدهٔ کلمه‌های رزرو شده';
$string['viewsqlcode'] = 'مشاهدهٔ کد SQL';
$string['view_structure_php'] = 'مشاهده ساختار PHP';
$string['view_structure_sql'] = 'مشاهده ساختار SQL';
$string['view_table_php'] = 'مشاهدهٔ کد PHP جدول';
$string['view_table_sql'] = 'مشاهدهٔ کد SQL جدول';
$string['viewxml'] = 'XML';
$string['violatedforeignkeys'] = 'کلیدهای خارجی ناقض';
$string['violatedforeignkeysfound'] = 'کلیدهای خارجی ناقض پیدا شده';
$string['violations'] = 'نقض ها';
$string['wrong'] = 'اشتباه';
$string['wrongdefaults'] = 'مقادیر پیش‌فرض نادرست پیدا شده';
$string['wrongints'] = 'عددهای صحیح مشکل دار پیدا شده';
$string['wronglengthforenum'] = 'طول نادرست برای قسمت شمارش';
$string['wrongnumberofreffields'] = 'تعداد اشتباه قسمت های مرجع';
$string['wrongoraclesemantics'] = 'مفاهیم Oracle BYTE اشتباهی یافت شد';
$string['wrongreservedwords'] = 'کلمات رزرو شده‌ای که هم اکنون در حال استفاده‌اند<br />(توجه کنید که در صورت استفاده از <span dir="ltr" style="display:inline-block;direction:ltr">$CFG->prefix</span> نام جدول‌ها مهم نیستند)';
$string['yesmissingindexesfound'] = '<p>برخی شاخص های از دست رفته در پایگاه داده یافت شد. در اینجا جزئیات آنها و توضیحات SQL لازم وجود دارد که باید با رابط SQL مورد نظر شما اجرا شود تا همه آنها را ایجاد کنید. قبل از اینکار از داده های خود نسخه پشتیبان تهیه کنید!</p>
<p>بعد از اینکار، توصیه می شود دوباره این ابزار را اجرا کنید و بررسی نمایید هیچ شاخص از دست رفته ای یافت نمی شود.</p>';
$string['yeswrongdefaultsfound'] = '<p>پیش فرض های ناسازگاری در پایگاه داده یافت شد. در اینجا جزئیات آنها و توضیحات SQL لازم وجود دارد که باید با رابط SQL مورد نظر شما اجرا شود تا مشکل همه آنها را برطرف کنید. قبل از اینکار از داده های خود نسخه پشتیبان تهیه کنید!</p>
<p>بعد از اینکار، توصیه می شود دوباره این ابزار را اجرا کنید و بررسی نمایید هیچ پیش فرض ناسازگاری یافت نمی شود.</p>';
$string['yeswrongintsfound'] = '<p>تعدادی عدد صحیح اشتباه در پایگاه داده یافت شد. در اینجا جزئیات آنها و توضیحات SQL لازم وجود دارد که باید با رابط SQL مورد نظر شما اجرا شود تا همه آنها را ایجاد کنید. قبل از اینکار از داده های خود نسخه پشتیبان تهیه کنید!</p>
<p>بعد از اینکار، توصیه می شود دوباره این ابزار را اجرا کنید و بررسی نمایید هیچ عدد صحیح اشتباهی یافت نمی شود.</p>';
$string['yeswrongoraclesemanticsfound'] = '<p>برخی ستون های Oracle که از مفاهیم BYTE استفاده می کنند، در پایگاه داده یافت شد. در اینجا جزئیات آنها و توضیحات SQL لازم وجود دارد که باید با رابط SQL مورد نظر شما اجرا شود تا همه آنها را ایجاد کنید. قبل از اینکار از داده های خود نسخه پشتیبان تهیه کنید!</p>
<p>بعد از اینکار، توصیه می شود دوباره این ابزار را اجرا کنید و بررسی نمایید هیچ مفهوم اشتباهی یافت نمی شود.</p>';
